//****************************************************************************
//      Linux Host Driver for SiI SATA RAID Adapters
//
// lnxWrapper.c - LINUX SCSI low level driver functions
//
// Copyright (c) 2005  Silicon Image.  All rights reserved.
//
// Creator: Vu Le
//
//****************************************************************************
#include <siidriver.h>

ULONG asmlinkage RtlCompareMemory(PVOID a, PVOID b, ULONG c) {
    if (memcmp(a,b,c) == 0)
        return (c);
    else
    	return (0);
}

dma_addr_t __inline__
SiI_pci_map_page(PVOID pcidev, PVOID dma, INT DataTransferLength,INT DataDirection)
{
    return (pci_map_page((struct pci_dev *)(pcidev), virt_to_page(dma),
        ((unsigned long)dma & ~PAGE_MASK), DataTransferLength,DataDirection));
}

VOID __inline__
SiI_pci_unmap_sg(PVOID pcidev ,PVOID scatter, USHORT use_sg, INT direction)
{
    pci_unmap_sg((struct pci_dev *)(pcidev), (struct scatterlist *) scatter, (int) use_sg, direction);
}

